package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.bo.fieldGlossoryBo;
import com.goafanti.common.model.IndustryCategory;

public interface IndustryCategoryMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(IndustryCategory record);

    int insertSelective(IndustryCategory record);

    IndustryCategory selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(IndustryCategory record);

    int updateByPrimaryKey(IndustryCategory record);
    
    List<IndustryCategory> listByPid(Integer pid);

	List<fieldGlossoryBo> selectindustryList();

	List<fieldGlossoryBo> selectDomainList();
    
}